version: 2.0
artifacts:
  -
    description: Collect both listening and non-listening (for TCP this means established connections) sockets.
    supported_os: [android, aix, freebsd, linux, netbsd, netscaler, openbsd, solaris]
    collector: command
    command: netstat -a
    output_file: netstat_-a.txt
  -
    description: Collect both listening and non-listening (for TCP this means established connections) sockets with numerical addresses instead of trying to determine symbolic host, port or user names.
    supported_os: [android, aix, freebsd, linux, netbsd, netscaler, openbsd, solaris]
    collector: command
    command: netstat -an
    output_file: netstat_-an.txt
  -
    description: Collect a table of all network interfaces.
    supported_os: [android, aix, freebsd, linux, netbsd, netscaler, openbsd, solaris]
    collector: command
    command: netstat -i
    output_file: netstat_-i.txt
  -
    description: Collect the kernel routing tables.
    supported_os: [android, aix, freebsd, linux, netbsd, netscaler, openbsd, solaris]
    collector: command
    command: netstat -r
    output_file: netstat_-r.txt
  -
    description: Collect the kernel routing tables with numerical addresses instead of trying to determine symbolic host, port or user names.
    supported_os: [android, aix, freebsd, linux, netbsd, netscaler, openbsd, solaris]
    collector: command
    command: netstat -rn
    output_file: netstat_-rn.txt
  -
    description: Collect both listening and non-listening (for TCP this means established connections) TCP protocol sockets with numerical addresses instead of trying to determine symbolic host, port or user names.
    supported_os: [aix, macos]
    collector: command
    command: netstat -anp tcp
    output_file: netstat_-anp_tcp.txt
  -
    description: Collect both listening and non-listening (for TCP this means established connections) UDP protocol sockets with numerical addresses instead of trying to determine symbolic host, port or user names.
    supported_os: [aix, macos]
    collector: command
    command: netstat -anp udp
    output_file: netstat_-anp_udp.txt
  -
    description: Collect statistics for CDLI-based communications adapters.
    supported_os: [aix, macos]
    collector: command
    command: netstat -v
    output_file: netstat_-v.txt
  -
    description: Collect both listening and non-listening (for TCP this means established connections) sockets with numerical addresses instead of trying to determine symbolic host, port or user names, and show the PID and name of the program to which each socket belongs.
    supported_os: [android, linux, solaris]
    collector: command
    command: netstat -anp
    output_file: netstat_-anp.txt
  -
    description: Collect extended information about listening and non-listening (for TCP this means established connections) sockets, the PID and name of the program to which each socket belongs with numerical addresses instead of trying to determine symbolic host, port or user names.
    supported_os: [android, linux]
    collector: command
    command: netstat -lpeanut
    output_file: netstat_-lpeanut.txt
